<div class="content-header row">
  <div class="content-header-left col-md-9 col-12 mb-2">
    <div class="row breadcrumbs-top">
      <div class="col-12">
        <h2 class="content-header-title float-left mb-0">Ajouter Devis</h2>
      
      </div>
    </div>
  </div>
  <div class="content-header-right text-md-right col-md-3 col-12 d-md-block d-none">
    <div class="form-group breadcrum-right">
      <div class="dropdown">
        <button class="btn-icon btn btn-primary btn-round btn-sm dropdown-toggle waves-effect waves-light" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><i class="feather icon-settings"></i></button>
        <div class="dropdown-menu dropdown-menu-right"><a class="dropdown-item" href="#">Chat</a><a class="dropdown-item" href="#">Email</a><a class="dropdown-item" href="#">Calendar</a></div>
      </div>
    </div>
  </div>
</div>
<div class="modal modal-danger fade" id="modal-danger2">
  <div class="modal-dialog " role="document">
    <div class="modal-content" style="width:700px">
      <div class="modal-header">
        <h4 class="modal-title" id="myModalLabel4">Ajouter Client </h4>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">×</span>
        </button>
      </div>
      <div class="modal-body">
        
       

        
                <ul class="nav nav-tabs mb-3" role="tablist">
                  <li class="nav-item">
                    <a class="nav-link d-flex align-items-center active" id="account-tab" data-toggle="tab" href="#account"
                      aria-controls="account" role="tab" aria-selected="true">
                      <i class="feather icon-user mr-25"></i><span class="d-none d-sm-block">Particulier</span>
                    </a>
                  </li>
                  <li class="nav-item">
                    <a class="nav-link d-flex align-items-center" id="information-tab" data-toggle="tab" href="#information"
                      aria-controls="information" role="tab" aria-selected="false">
                      <i class="feather icon-users"></i><span class="d-none d-sm-block">Société</span>
                    </a>
                  </li>
                 
                </ul>
                <div class="tab-content">
                  <div class="tab-pane active" id="account" aria-labelledby="account-tab" role="tabpanel">
                    <!-- users edit media object start -->
                    
                    <!-- users edit media object ends -->
                    <!-- users edit account form start -->
                    <form novalidate #f="ngForm" (ngSubmit)="saveParticulier(f.value)">
                      <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="InvalidFromParticulier" >
                        <i class="feather icon-info mr-1 align-middle"></i>
                        <span>{{InvalidFromParticulier}}</span>
                      </div>
                      <div class="row">
                        
                        <div class="col-12 col-sm-6">
                          <div class="form-group">
                            <div class="controls">
                              <label>Nom</label>
                              <input type="text" class="form-control" placeholder="Nom" name="nomP" #nomP="ngModel" [(ngModel)]="particulier.nomP"  required>
                            </div>
                            <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="nomP.touched && nomP.invalid">
                              <i class="feather icon-info mr-1 align-middle"></i>
                              <span>Nom doit étre Saisie</span>
                            </div>
                          </div>
                          <div class="form-group">
                            <div class="controls">
                              <label>Adresse:</label>
                              <input type="text" class="form-control" placeholder="Adresse" name="adresseP" #adresseP="ngModel" [(ngModel)]="particulier.adresseP"  required>
                            </div>
                            <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="adresseP.touched && adresseP.invalid">
                              <i class="feather icon-info mr-1 align-middle"></i>
                              <span>Adresse doit étre Saisie</span>
                            </div>
                          </div>
                          <div class="form-group">
                            <div class="controls">
                              <label>Mobile:</label>
                              <input type="text" class="form-control" placeholder="Mobile"  name="mobileP" #mobileP="ngModel" [(ngModel)]="particulier.mobileP"  required>
                            </div>
                            <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="mobileP.touched && mobileP.invalid">
                              <i class="feather icon-info mr-1 align-middle"></i>
                              <span>Mobile doit étre Saisie</span>
                            </div>
                          </div>
          
                        </div>
                        <div class="col-12 col-sm-6">
        
                          <div class="form-group">
                            <div class="controls">
                              <label>Cin:</label>
                              <input type="text" class="form-control" placeholder="Cin"  name="cin" #cin="ngModel" [(ngModel)]="particulier.cin"  required>
                            </div>
                            <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="cin.touched && cin.invalid">
                              <i class="feather icon-info mr-1 align-middle"></i>
                              <span>Cin Obligatoire</span>
                            </div>
                          </div>
                          <div class="form-group">
                            <div class="controls">
                              <label>Email:</label>
                              <input type="Email" class="form-control" placeholder="Email"  name="emailP" #emailP="ngModel" [(ngModel)]="particulier.emailP"  required email>
                            </div>
                            <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="emailP.touched && emailP.invalid">
                              <i class="feather icon-info mr-1 align-middle"></i>
                              <span>Email Obligatoire et doit étre de type email</span>
                            </div>
                          </div>
                          <div class="form-group">
                            <label>Téléphone:</label>
                            <input type="text" class="form-control" placeholder="Téléphone"  name="telP" #telP="ngModel" [(ngModel)]="particulier.telP"  required >
                          </div>
                          <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="telP.touched && telP.invalid">
                            <i class="feather icon-info mr-1 align-middle"></i>
                            <span>Tel doit étre Saisie</span>
                          </div>
                         
                        </div>
                     
                        <div class="col-md-3 offset-md-9" style="margin-top: 10px;">
                          <button type="submit" class="btn btn-primary mr-1 mb-1 waves-effect waves-light" [disabled]="f.invalid">Ajouter Client</button>
                          </div>
                      </div>
                    </form>
                    <!-- users edit account form ends -->
                  </div>
                  <div class="tab-pane" id="information" aria-labelledby="information-tab" role="tabpanel">
                    <!-- users edit Info form start -->
                    <form novalidate #fs="ngForm" (ngSubmit)="saveSociete(fs.value)">
                      <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="InvalidFromSociete" >
                        <i class="feather icon-info mr-1 align-middle"></i>
                        <span>{{InvalidFromSociete}}</span>
                      </div>
                      <div class="row">
                        <div class="col-12 col-sm-6">
                          <div class="form-group">
                            <div class="controls">
                              <label>Nom</label>
                              <input type="text" class="form-control" placeholder="Nom" name="nom" #nom="ngModel" [(ngModel)]="societe.nom"  required>
                            </div>
                            <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="nom.touched && nom.invalid">
                              <i class="feather icon-info mr-1 align-middle"></i>
                              <span>Nom doit étre Saisie</span>
                            </div>
                          </div>
                          
                          <div class="form-group">
                            <div class="controls">
                              <label>Adresse:</label>
                              <input type="text" class="form-control" placeholder="Adresse" name="adresse" #adresse="ngModel" [(ngModel)]="societe.adresse"  required>
                            </div>
                            <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="adresse.touched && adresse.invalid">
                              <i class="feather icon-info mr-1 align-middle"></i>
                              <span>Adresse doit étre Saisie</span>
                            </div>
                          </div>
        
                          <div class="form-group">
                           <div class="controls">
                            <label>Mobile:</label>
                            <input type="text" class="form-control" placeholder="mobile" name="mobile" #mobile="ngModel" [(ngModel)]="societe.mobile"  required>
                          </div>
                          <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="mobile.touched && mobile.invalid">
                            <i class="feather icon-info mr-1 align-middle"></i>
                            <span>Mobile doit étre Saisie</span>
                          </div>
                        </div>
        
                          
                          <div class="form-group">
                            <div class="controls">
                            <label>Numero de registre fiscale:</label>
                            <input type="text" class="form-control" placeholder="Numero de regitre fiscale" name="numero_registre" #numero_registre="ngModel" [(ngModel)]="societe.numero_registre"  required>
                          </div>
                            <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="numero_registre.touched && numero_registre.invalid">
                              <i class="feather icon-info mr-1 align-middle"></i>
                              <span>Numérode registre Obligatoire</span>
                            </div>
                          </div>
                          <div class="form-group">
                            <div class="controls">
                              <label>Date creation d'entreprise:</label>
                              <input type="date" class="form-control" placeholder="Date creation d'entreprise" name="date_creation" #date_creation="ngModel" [(ngModel)]="societe.date_creation"  required>
                            </div>
                            <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="date_creation.touched && date_creation.invalid">
                              <i class="feather icon-info mr-1 align-middle"></i>
                              <span>Date de création d'entreprise Obligatoire</span>
                            </div>
                          </div>
        
                          
                        </div>
                        <div class="col-12 col-sm-6">
                          <div class="form-group">
                            <div class="controls">
                              <label>Raison Sociale:</label>
                              <input type="text" class="form-control" placeholder="Raison Sociale"  name="raison_sociale" #raison_sociale="ngModel" [(ngModel)]="societe.raison_sociale"  required>
                            </div>
                            <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="raison_sociale.touched && raison_sociale.invalid">
                              <i class="feather icon-info mr-1 align-middle"></i>
                              <span>Raison Sociale Obligatoire</span>
                            </div>
                          </div>
                          <div class="form-group">
                            <div class="controls">
                            <label>Téléphone:</label>
                            <input type="text" class="form-control" placeholder="Téléphone" name="tel" #tel="ngModel" [(ngModel)]="societe.tel"  required>
                          </div>
                           <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="tel.touched && tel.invalid">
                              <i class="feather icon-info mr-1 align-middle"></i>
                              <span>Téléphone Obligatoire</span>
                            </div>
                          </div>
        
                          <div class="form-group">
                            <label>Fax:</label>
                            <input type="text" class="form-control" placeholder="Fax" name="fax" #fax="ngModel" [(ngModel)]="societe.fax"  required>
                            <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="fax.touched && fax.invalid">
                              <i class="feather icon-info mr-1 align-middle"></i>
                              <span>Fax Obligatoire</span>
                            </div>
                          </div>
                          <div class="form-group">
                            <label>Courriel:</label>
                            <input type="email" class="form-control" placeholder="Courriel" name="email" #email="ngModel" [(ngModel)]="societe.email"  required email>
                            <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="email.touched && email.invalid">
                              <i class="feather icon-info mr-1 align-middle"></i>
                              <span>Email Obligatoire et doit étre de type email</span>
                            </div>
                          </div>
                          
        
        
        
                          <div class="form-group">
                            <label>Site Web:</label>
                            <input type="text" class="form-control" placeholder="Site Web" name="siteWeb" #siteWeb="ngModel" [(ngModel)]="societe.siteWeb"  required>
                            <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="siteWeb.touched && siteWeb.invalid">
                              <i class="feather icon-info mr-1 align-middle"></i>
                              <span>Site Web Obligatoire</span>
                            </div>
                          </div>
                         
                        </div>
                        
                        <div class="col-md-3 offset-md-9" style="margin-top: 10px;">
                          <button type="submit" class="btn btn-primary mr-1 mb-1 waves-effect waves-light" [disabled]="fs.invalid">Ajouter Client</button>
                          </div>
                      </div>
                    </form>
                    <!-- users edit Info form ends -->
                  </div>
                  
                </div>
              



      </div>
     
    
    </div>
    <!-- /.modal-content -->
  </div>
  <!-- /.modal-dialog -->
</div>



<div class="container-fluid">
  <div class="row">
      <div class="col-md-12">
          <div class="card px-0 pt-4 pb-0 mt-3 mb-3">
              <form id="msform" #fg="ngForm" (ngSubmit)="save(fg.value)">
                  <!-- progressbar -->
                  <ul id="progressbar">
                      <li class="active" id="account"><strong>Etape 1</strong></li>
                      <li id="personal"><strong>Etape 2</strong></li>
                      <li id="question"><strong>Etape 3</strong></li>
                      <li id="payment"><strong>Etape 4</strong></li>

                      <li id="confirm"><strong>Etape 5</strong></li>
                  </ul>
                  <div class="progress">
                      <div class="progress-bar progress-bar-striped progress-bar-animated" role="progressbar" aria-valuemin="0" aria-valuemax="100" ></div>
                  </div> <br> <!-- fieldsets -->
                  
                  <fieldset>
                      <div class="form-card">

 
                        <div class="row">
                          
                           
                            
                            
                         
                          <div class="col-md-6 offset-md-3">
                           <ul class="list-unstyled mb-0">
                             <li class="d-inline-block mr-2" *ngFor="let r of risque">
                              
                               <div>
                                <div class="vs-checkbox-con vs-checkbox-primary">
                                  

                                  <div class="custom-control custom-radio image-checkbox">
                          
                                    <input type="radio" class="custom-control-input" id="ck1" value="{{r.id}}" name="risque"   [(ngModel)]="selectedValue"  #risq="ngModel" >
                                
                                    <label class="custom-control-label" for="ck1">
                                 
                                      <img src="assets/app-assets/files/{{r.image}}" style="width: 120px;height: 120px;"alt="#" class="img-fluid" >
                                  
                                    </label>
                                  
                                  </div>



                                   
                                 </div>
                                </div>
                               {{r.nom}}
                             </li>   
                           </ul>
                          </div>


                          
                          <div class="col-md-8 offset-md-4" *ngIf="selectedValue">
                            <ul class="list-unstyled mb-0">
                              <li class="d-inline-block mr-2" *ngFor="let f of famille;index as i">

                                  <div *ngIf="selectedValue === f.risque">

                                    <div class="vs-checkbox-con vs-checkbox-primary">
                                      

                                      <div class="custom-control custom-radio image-checkbox">
                          
                                        <input type="radio" class="custom-control-input" id="ck2" [value]="f.id" name="famille"  [(ngModel)]="selectedValueFamille"  #famill="ngModel">
                                    
                                        <label class="custom-control-label" for="ck2">
                                     
                                          <img src="assets/app-assets/files/{{f.image}}" style="width: 120px;height: 120px;"alt="#" class="img-fluid" >
                                      
                                        </label>
                                      
                                      </div>


                                     </div>
                                     {{f.nom}}

                                    </div>
                                
                              </li>   
                            </ul>
                           </div>

                        
                        
                          

                      
                       </div>
                      
                      <!--

                        <div class="row">
                            
                              <div class="col-md-8 offset-md-1" >
                                <h5>Risque </h5>

                          <div class="form-group" >
                            <select class="form-control" id="typeContrat" name="risque"   [(ngModel)]="selectedValue"  #risq="ngModel">
                              <option [ngValue]="undefined" disabled hidden>Choose a Risque</option>

                              <option *ngFor="let r of risque" value="{{r.id}}" >{{r.nom}}</option>
                              
                            </select>
                           
                           <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="risq.touched && selectedValue === undefined">
                            <i class="feather icon-info mr-1 align-middle"></i>
                            <span>Risque doit étre Obiligatoire</span>
                          </div>
                           
                          </div>
                          

                              </div>
                          </div>

                          <div class="row" *ngIf="selectedValue">
                            
                            <div class="col-md-8 offset-md-1" >
                              <h5>Famille PRoduit </h5>

                        <div class="form-group" >
                          <select class="form-control" id="typeContrat" name="famille"  [(ngModel)]="selectedValueFamille"  #famill="ngModel">
                            <option [ngValue]="undefined" disabled hidden  >Choose Famille</option>
                            <ng-container *ngFor="let f of famille">
                            <option *ngIf="selectedValue === f.risque" value="{{f.id}}">{{f.nom}}</option>
                            </ng-container>
                          
                            
                          </select>
                          <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="famill.touched && selectedValueFamille === undefined">
                            <i class="feather icon-info mr-1 align-middle"></i>
                            <span>Famille doit étre Obiligatoire</span>
                          </div>
                         
                        </div>
                            </div>
                        </div>
                      -->  
                     
                       
                          
                      </div>
                   
                      <input type="button" name="next" class="next action-button" value="Suivant" />
                  </fieldset>
                  <fieldset>
                      <div class="form-card">
                         

                          <div class="row" style="margin-top: 20px;">
                            <div class="col-md-1">
                              

                            </div>
                              <div class="col-md-7" >
                              <h5>  Code client</h5>
                                <div class="form-group">
                                  <select class="form-control" id="clt" name="client" [(ngModel)]="selectedValueClient"  #clt="ngModel">
                                    <option [ngValue]="undefined" disabled hidden>Choose a Cient</option>
      
                                    <option *ngFor="let c of client" value="{{c.id}}">{{c.nom}}</option>
                                    
                                  </select>
                                  <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="clt.touched && selectedValueClient === undefined">
                                    <i class="feather icon-info mr-1 align-middle"></i>
                                    <span>Client doit étre Obiligatoire</span>
                                  </div>
                                </div>
                              </div>
                              <div class="col-md-4" style="margin-top: 28px;">
                                <a href="#" data-toggle="modal" data-target="#modal-danger2" >
                                  <button class="btn btn-primary waves-effect waves-light" ><i class="fa fa-plus" aria-hidden="true" style="color:white"></i></button>
                                </a>


                                
                              </div>

                          </div>
                          

                      </div>
                      
                      <input type="button" name="next" class="next action-button" value="Suivant" /> <input type="button" name="previous" class="previous action-button-previous" value="Previous" />
                  </fieldset>

                  <fieldset>

                    <div class="form-card">
                        
                        <div class="row">
                          <div class="col-12" style="margin-left: 20px;">
                            <div class="card">
                              <div class="card-header">
                                <input type="hidden" name="q1" ngModel="Êtes-vous actuellement assuré(e) ?" >
                                <h4 class="card-title">Êtes-vous actuellement assuré(e) ?</h4>
                              </div>
                              <div class="card-content">
                                <div class="card-body">
                                   
                                  <ul class="list-unstyled mb-0" style="margin-left: 20px;">
                                    <li class="d-inline-block mr-2">
                                        <div class="custom-control custom-radio">
                                          <input type="radio" class="custom-control-input" name="r1" id="customRadio1" value="oui" onclick="question()" [(ngModel)]="selectedValueR1" >
                                          <label class="custom-control-label" for="customRadio1">oui</label>
                                        </div>
                                    </li>
                                    <li class="d-inline-block mr-2">
                                        <div class="custom-control custom-radio">
                                          <input type="radio" class="custom-control-input" name="r1" id="customRadio2" value="non" onclick="question()" [(ngModel)]="selectedValueR1" >
                                          <label class="custom-control-label" for="customRadio2">non</label>
                                        </div>
                                    </li>
                                  
                                  </ul>
                                </div>
                              </div>
                            <div style="margin-top: -30px;" *ngIf="selectedValueR1 === 'non'">
                              <div class="card-header">
                                <input type="hidden" name="q2" ngModel="Vous êtes assuré(e) sans interruption depuis" #q2="ngModel">
                                <h4 class="card-title">Vous êtes assuré(e) sans interruption depuis</h4>
                              </div>
                              <div class="card-content">
                                <div class="card-body">
                                 
                                    <select class="form-control" style="width: 40%; margin-left: 20px;" name="r2" ngModel #r2="ngModel">
                                    <option></option>
                                    <option>moins 1 ans</option>
                                    <option>moins 2 ans</option>
                                    <option>moins 3 ans</option>
                                    </select>
                                
                            </div>
                            </div>

                            <div class="card-header">
                              <input type="hidden" name="q3" ngModel="Combien de sinistres avez-vous déclarés depuis 3 ans ?">
                              <h4 class="card-title">Combien de sinistres avez-vous déclarés depuis 3 ans ?</h4>
                            </div>
                            <div class="card-content">
                              <div class="card-body">
                               
                                  <input type="number" class="form-control" style="width: 40%; margin-left: 20px;" placeholder="1 / 2 / 3" name="r3" #r3="ngModel" [(ngModel)]="selectedValueSinistre">
                                  <table style="margin-left: 20px; margin-top: 20px; width: 40%;" class="table table-bordered table-striped" id="demoSinister">
                                   <thead>
                                    <tr>
                                     <th>Date Sinistre</th>
                                     <th>Montant</th>
                                   </tr>
                                  </thead>
                                  <tbody *ngIf="selectedValueSinistre">
                                    <tr *ngFor="let x of counter(selectedValueSinistre);index as i">
                                      <td><input type="date" class="form-control" name="nomS{{i}}" ngModel placeholder="nom sinistre"></td>  
                                       <td><input type="text" class="form-control" name="montantS{{i}}" ngModel placeholder="montant sinistre"></td>
                                     </tr>

                                  </tbody>
                                   
                                  </table>
                              
                          </div>
                          </div>
                          </div>
                          <div style="margin-top: -30px;" *ngIf="selectedValueR1 === 'oui'">
                            <div class="card-header">
                              <input type="hidden" name="q2" ngModel="CHEZ QUI" #q2="ngModel">

                              <h4 class="card-title">CHEZ QUI</h4>
                            </div>
                            <div class="card-content">
                              <div class="card-body">
                               
                                  <input type="text" class="form-control" style="width: 40%; margin-left: 20px;" name="r2" ngModel #r2="ngModel">
                                  
                              
                          </div>
                          </div>

                          <div class="card-header">
                            <input type="hidden" name="q3" ngModel="Combien de sinistres avez-vous déclarés depuis 3 ans ?">
                            <h4 class="card-title">Combien de sinistres avez-vous déclarés depuis 3 ans ?</h4>
                          </div>
                          <div class="card-content">
                            <div class="card-body">
                             
                                <input type="number" class="form-control" style="width: 40%; margin-left: 20px;" placeholder="1 / 2 / 3" name="r3" #r3="ngModel" [(ngModel)]="selectedValueSinistre">
                                <table style="margin-left: 20px; margin-top: 20px; width: 40%;" class="table table-bordered table-striped" id="demoSinister">
                                 <thead>
                                  <tr>
                                   <th>Date Sinistre</th>
                                   <th>Montant</th>
                                 </tr>
                                </thead>
                                <tbody *ngIf="selectedValueSinistre">
                                  <tr *ngFor="let x of counter(selectedValueSinistre);index as i">
                                    <td><input type="date" class="form-control" name="nomS{{i}}" ngModel placeholder="nom sinistre"></td>  
                                     <td><input type="text" class="form-control" name="montantS{{i}}" ngModel placeholder="montant sinistre"></td>
                                   </tr>

                                </tbody>
                                   
                                  </table>
                            
                        </div>
                        </div>
                        </div>

                            </div>
                          </div>

                          
                        </div>
                        
                    </div>
                   
                    <input type="button" name="next" class="next action-button" value="Suivant" /> 
                    <input type="button" name="previous" class="previous action-button-previous" value="Precedent" />
                </fieldset>


                  <fieldset>


                      <div class="form-card">
                         
                        <div id="vehicule">
                          <section class="users-edit">
                            <div class="card">
                              <div class="card-content">
                                <div class="card-body">
                                  
                                  <div class="tab-content">
                                    <div class="tab-pane active" id="account" aria-labelledby="account-tab" role="tabpanel">
                                      <!-- users edit media object start -->
                                      
                                      <!-- users edit media object ends -->
                                      <!-- users edit account form start -->
                                     
                                        
                                        <div class="row">
                                         
                                          <div class="col-12 col-sm-6">
                                            <div class="form-group">
                                              <label>Année de fabrication</label>
                                              <select class="form-control" name="car-years" id="car-years" name="anneeFab" #anneFab="ngModel" ngModel  required>
                                               
                                              </select>
                                            </div>
                                            
                                            <div class="form-group">
                                              <label>Modélé</label>
                                              <select class="form-control" name="car-models" id="car-models" name="modele" #modele="ngModel" ngModel  required>
                                              </select>
                                            </div>
                                        
                                            
                                           <div class="form-group">
                                              <div class="controls">
                                                <label>Immatriculation:</label>
                                                <input type="text" class="form-control" placeholder="Immatriculation"  name="immatriculation" #immatriculation="ngModel" ngModel  required>
                                              </div>
                                            </div>
                                            <div class="form-group">
                                              <div class="controls">
                                                <label>Date d'aquisition:</label>
                                                <input type="date" class="form-control" placeholder="Date d'aquisition" name="dateAcquisition" #dateAcquisition="ngModel" ngModel  required>
                                              </div>
                                            </div>
                                            
                                           

                                            

                                            <div class="form-group">
                                             <label>Niveau de Garantie</label>
                                             <select class="form-control" id="typeContrat" name="garantie"   [(ngModel)]="selectedValueGarantie"  #garant="ngModel">
                                              <option [ngValue]="undefined" disabled hidden  >Choose Niveau</option>

                                              <ng-container *ngFor="let n of niveau">
                                                <option *ngIf="selectedValueFamille === n.familleproduit" value="{{n.niveau}}">{{n.niveau }}</option>
                                                </ng-container>
                                            
                                              
                                            </select>
                                           
                                           <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="garant.touched && selectedValueGarantie === undefined">
                                            <i class="feather icon-info mr-1 align-middle"></i>
                                            <span>Niveau doit étre Obiligatoire</span>
                                          </div>
                                            </div>
                          
                                          </div>
                                          <div class="col-12 col-sm-6">
                                            

                                            <div class="form-group">
                                              <div class="controls">
                                                <label>Marque:</label>
                                                <select class="form-control" name="car-makes" id="car-makes" name="marque" #marque="ngModel" ngModel  required></select>
                                              </div>
                                            </div>

                                            <div class="form-group">
                                              <div class="controls">
                                                <label>Trims:</label>
                                                <select class="form-control" name="car-model-trims" id="car-model-trims" name="trims" #trims="ngModel" ngModel  required></select>
                                              </div>
                                            </div>
                                            <div class="form-group">
                                              <label>Carburant:</label>
                                              
                                              <select class="form-control" name="carburant" #carburant="ngModel" ngModel  required>
                                                <option>Choisir votre type de carburant</option>
                                                <option>Essence</option>
                                                <option>Gasoil</option>
                                              </select>

                                           </div>
                                            <div class="form-group">
                                              <div class="controls">
                                                <label>Date de 1ér Mise en circulation:</label>
                                                <input type="date" class="form-control" placeholder="Date de 1ér Mise en circulation" name="dateMiseEnCirculation" #dateMiseEnCirculation="ngModel" ngModel  required>
                                              </div>
                                            </div>
                                            

                                            
                                           
                                            <div class="form-group">
                                              <div class="controls">
                                                <label></label>
                                            <table class="table no-margin table-bordered table-striped" id ="demoDevis">
                                              <thead>
                                                <tr class="sorting">
                                                      <th>
                                                          Garantie:
                                                      </th>
                                                      <th>
                                                         Montant Assuré
                  
                                                      </th>
                                                      <th>
                                                        Montant Franchise
                                                      </th>
                                                      <th></th>
                                                  </tr>
                                                
                                              </thead>
                                                  <tbody *ngIf="selectedValueGarantie">
                                                    <tr *ngFor="let g of garantie; index as i ">
                                                      <ng-container *ngIf="g.niveau === selectedValueGarantie && g.familleproduit === selectedValueFamille">

                                                      <td>
                                                        <input type="hidden" class="form-control" name="idG{{i}}" [(ngModel)]="g.id" >

                                                        <input type="text" class="form-control" name="nomG{{i}}" [(ngModel)]="g.nom" >
                                                         
                                                      </td>
                                                      <td>
                                                        <input type="text" class="form-control" name="montantAssure{{i}}" [(ngModel)]="g.montantAssure" >
                                                        
                                                      </td>
                                                      <td>
                                                        <input type="text" class="form-control" name="montantFranchise{{i}}" [(ngModel)]="g.montantFranchise"   >

                                                        
                                                      </td>
                                                      <td>
                                                        <a class="dropdown-item"  data-toggle="modal" (click)="deleteRow(i)"><i class=" feather icon-trash" style="color: red;"></i>Supprimer</a>

                                                      </td>
                                                      </ng-container>

                                                    </tr>
 <!-- <select class="form-control" id="typeContrat" name="garantie"   [(ngModel)]="selectedValueGarantie"  #garant="ngModel">
    <ng-container *ngFor="let n of niveau">
      <option *ngIf="selectedValueFamille === n.familleproduit" value="{{n.id}}">{{n.niveau }}</option>
     </ng-container>
  </select> --> 
                                                      </tbody>

                                                  
                                            </table>
                                            </div>
                                            </div>
                                           

                                          </div>
                                          
                                          
                                        </div>
                                        
                                      <!-- users edit account form ends -->
                                    </div>
                                   
                                    
                                  </div>
                                </div>
                              </div>
                            </div>
                          </section>
            
                        </div>


                      </div>
                     
                     
                       <input type="button" name="next" class="next action-button" value="Suivant" /> 
                       <input type="button" name="previous" class="previous action-button-previous" value="Precedent" />
                  </fieldset>

                  
                  <fieldset>
                      <div class="form-card">
                          

                          <section class="users-edit">
                            <div class="card">
                              <div class="card-content">
                                <div class="card-body">
                                  
                                  <div class="tab-content">
                                    <div class="tab-pane active" id="account" aria-labelledby="account-tab" role="tabpanel">
                                     
                                        <div class="row">
                                          <div class="col-12 col-sm-6">
                                            
                                        
                                            <div class="form-group">
                                              <label>Compagnie</label>
                                              <select class="form-control" name="compagnie"  [(ngModel)]="selectedValueCompagnie"  #comp="ngModel">
                                                <option [ngValue]="undefined" disabled hidden  >Choose Compagnie</option>
                                                <option *ngFor="let c of compagnies" value="{{c.id}}">{{c.username}}</option>
                                              </select>
                                              <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="comp.touched && selectedValueCompagnie === undefined">
                                                <i class="feather icon-info mr-1 align-middle"></i>
                                                <span>Compagnie doit étre Obiligatoire</span>
                                              </div>
                                            </div>
                                            <div class="form-group">
                                              <div class="controls">
                                                <label>Numero de police:</label>
                                                <input type="text" class="form-control" placeholder="Numero de police" name="numeroPolice" #numeroPolice="ngModel" ngModel  required>
                                              </div>
                                            </div>
                          
                                          </div>
                                          <div class="col-12 col-sm-6">


                                            <div class="form-group">
                                              <label>Apporteur:</label>
                                              
                                              <select class="form-control" name="apporteur"  [(ngModel)]="selectedValueApporteur"  #apport="ngModel">
                                                <option [ngValue]="undefined" disabled hidden  >Choose Compagnie</option>

                                                <option *ngFor="let a of apporteur" value="{{a.id}}">{{a.nom}}</option>
                                              </select>
                                              <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="apport.touched && selectedValueApporteur === undefined">
                                                <i class="feather icon-info mr-1 align-middle"></i>
                                                <span>Apporteur doit étre Obiligatoire</span>
                                              </div>
                                            </div>
                                            <div class="form-group">
                                              <div class="controls">
                                                <label>Numero de police externe:</label>
                                                <input type="text" class="form-control" placeholder="Numero de police externe"  name="numeroPoliceExterne" #numeroPoliceExterne="ngModel" ngModel  required>
                                              </div>
                                            </div>
                                            
                                          </div>
                                          
                                          
                                        </div>

                                       

                                        <div class="row mt-5">
                                          <div class="col-7">
                                            <h2>Effet</h2>
                                        </div>
                                        <div class="col-5">
                                            <h2 class="steps"></h2>
                                        </div>
                                      </div>
                                        
                                        <div class="row">
                                          <div class="col-12 col-sm-6">

                                           
                                            <div class="form-group">
                                              <div class="controls">
                                                <label>Date d'effet:</label>
                                                <input type="date" class="form-control" name="dateEffet" #dateEffet="ngModel" ngModel  required>
                                              </div>
                                            </div>
                          
                                          </div>
                                          <div class="col-12 col-sm-6">
                                            
                                            <div class="form-group">
                                              <div class="controls">
                                                <label>Date de fin:</label>
                                                <input type="date" class="form-control" name="dateFin" #dateFin="ngModel" ngModel  required>
                                              </div>
                                            </div>                                            
                                          </div>
                                          
                                          
                                        </div>
                                        <div class="row">
                                          <div class="col-12 col-sm-6">
                                            <div class="form-group">
                                              <div class="controls">
                                                <label>Echeance principale:</label>
                                                <input type="text" class="form-control" placeholder="jour-mois" name="echeancePrincipale" #echeancePrincipale="ngModel" ngModel  required>
                                              </div>
                                            </div>
                                          </div>
                                        </div>

                                        <div class="row mt-5">
                                          <div class="col-7">
                                            <h2>Prime</h2>
                                        </div>
                                        <div class="col-5">
                                            <h2 class="steps"></h2>
                                        </div>
                                          <div class="col-12 col-sm-6">
                                            <div class="form-group">
                                              <label>Mode de fractionnement:</label>
                                              
                                              <select class="form-control" name="modeFractionnement" #modeFractionnement="ngModel" ngModel  required>
                                                <option>Choisir Mode de fractionnement</option>
                                                <option>Annuelle</option>
                                                <option>semestrielle</option>
                                              </select>
                                            </div>
                                            <div class="form-group">
                                              <div class="controls">
                                                <label>Montant des frais D'agence:</label>
                                                <input type="text" class="form-control" placeholder="Montant des frais D'agence" name="montantAgence" #montantAgence="ngModel" ngModel  required> 
                                              </div>
                                            </div>
                                            
                          
                                          </div>
                                          <div class="col-12 col-sm-6">
                                            
                                           <div class="form-group">
                                              <div class="controls">
                                                <label>Délai de préavis:</label>
                                                <input type="text" class="form-control" placeholder="Délai de préavis" name="delaiPreavis" #delaiPreavis="ngModel" ngModel  required>
                                              </div>
                                            </div>

                                            <div class="form-group">
                                              <div class="controls">
                                                <label>Montant Prime TTC:</label>
                                                <input type="text" class="form-control" placeholder="Montant Prime TTC" name="montantTTC" #montantTTC="ngModel" ngModel  required>
                                              </div>
                                            </div>                                     
                                          </div>
                                          
                                          
                                        </div>
                                      
                                    </div>
                                   
                                    
                                  </div>
                                </div>
                              </div>
                            </div>
                          </section>

                          

                          
                      </div>
                    
                      <input type="submit"  class="action-button" value="Ajouter" /> 
                      <input type="button" name="previous" class="previous action-button-previous" value="Precedent" />
                  </fieldset>
                
              </form>
          </div>
      </div>
  </div>
  
</div>



